Sign in Start for free

Open ID Connect

Get OpenID Connect configuration

GET /api/.well-known/openid-configuration

Response

200 — OpenID Configuration response

  • claims_supported array of string
  • id_token_signing_alg_values_supported array of string
  • issuer string
    Minimum length 1.
  • jwks_uri string
    Minimum length 1.
  • response_types_supported array of string
  • scopes_supported array of string
  • subject_types_supported array of string
  • token_endpoint string
    Minimum length 1.

Example Response

JSON
{
  "claims_supported": [
    "string"
  ],
  "id_token_signing_alg_values_supported": [
    "string"
  ],
  "issuer": "string",
  "jwks_uri": "string",
  "response_types_supported": [
    "string"
  ],
  "scopes_supported": [
    "string"
  ],
  "subject_types_supported": [
    "string"
  ],
  "token_endpoint": "string"
}

POST /api/users/authenticate/AzureAD

POST /api/users/authenticate/AzureAD

Response

200 — OK

POST /api/users/authenticate/GenericOidc

POST /api/users/authenticate/GenericOidc

Response

200 — OK

POST /api/users/authenticate/GoogleApps

POST /api/users/authenticate/GoogleApps

Response

200 — OK

POST /api/users/authenticate/OctopusID

POST /api/users/authenticate/OctopusID

Response

200 — OK

POST /api/users/authenticate/Okta

POST /api/users/authenticate/Okta

Response

200 — OK

GET /api/users/authenticatedToken/AzureAD

GET /api/users/authenticatedToken/AzureAD

Response

200 — OK

POST /api/users/authenticatedToken/AzureAD

POST /api/users/authenticatedToken/AzureAD

Response

200 — OK

GET /api/users/authenticatedToken/GenericOidc

GET /api/users/authenticatedToken/GenericOidc

Response

200 — OK

POST /api/users/authenticatedToken/GenericOidc

POST /api/users/authenticatedToken/GenericOidc

Response

200 — OK

GET /api/users/authenticatedToken/GoogleApps

GET /api/users/authenticatedToken/GoogleApps

Response

200 — OK

POST /api/users/authenticatedToken/GoogleApps

POST /api/users/authenticatedToken/GoogleApps

Response

200 — OK

GET /api/users/authenticatedToken/OctopusID

GET /api/users/authenticatedToken/OctopusID

Response

200 — OK

POST /api/users/authenticatedToken/OctopusID

POST /api/users/authenticatedToken/OctopusID

Response

200 — OK

GET /api/users/authenticatedToken/Okta

GET /api/users/authenticatedToken/Okta

Response

200 — OK

POST /api/users/authenticatedToken/Okta

POST /api/users/authenticatedToken/Okta

Response

200 — OK